Skip to content
Start here

Gateway

Get Zero Trust account information
client.zeroTrust.gateway.list(GatewayListParams { account_id } params, RequestOptionsoptions?): GatewayListResponse { id, gateway_tag, provider_name }
GET/accounts/{account_id}/gateway
Create Zero Trust account
client.zeroTrust.gateway.create(GatewayCreateParams { account_id } params, RequestOptionsoptions?): GatewayCreateResponse { id, gateway_tag, provider_name }
POST/accounts/{account_id}/gateway
ModelsExpand Collapse
GatewayListResponse { id, gateway_tag, provider_name }
id?: string

Specify the Cloudflare account ID.

maxLength32
gateway_tag?: string

Specify the gateway internal ID.

maxLength32
provider_name?: string

Specify the provider name (usually Cloudflare).

GatewayCreateResponse { id, gateway_tag, provider_name }
id?: string

Specify the Cloudflare account ID.

maxLength32
gateway_tag?: string

Specify the gateway internal ID.

maxLength32
provider_name?: string

Specify the provider name (usually Cloudflare).

GatewayAudit SSH Settings

Get Zero Trust SSH settings
client.zeroTrust.gateway.auditSSHSettings.get(AuditSSHSettingGetParams { account_id } params, RequestOptionsoptions?): GatewaySettings { created_at, public_key, seed_id, updated_at }
GET/accounts/{account_id}/gateway/audit_ssh_settings
Update Zero Trust SSH settings
client.zeroTrust.gateway.auditSSHSettings.update(AuditSSHSettingUpdateParams { account_id, public_key } params, RequestOptionsoptions?): GatewaySettings { created_at, public_key, seed_id, updated_at }
PUT/accounts/{account_id}/gateway/audit_ssh_settings
Rotate Zero Trust SSH account seed
client.zeroTrust.gateway.auditSSHSettings.rotateSeed(AuditSSHSettingRotateSeedParams { account_id } params, RequestOptionsoptions?): GatewaySettings { created_at, public_key, seed_id, updated_at }
POST/accounts/{account_id}/gateway/audit_ssh_settings/rotate_seed
ModelsExpand Collapse
GatewaySettings { created_at, public_key, seed_id, updated_at }
created_at?: string
formatdate-time
public_key?: string
seed_id?: string

Identify the seed ID.

maxLength36
updated_at?: string
formatdate-time

GatewayCategories

List categories
client.zeroTrust.gateway.categories.list(CategoryListParams { account_id } params, RequestOptionsoptions?): SinglePage<Category { id, beta, class, 3 more } >
GET/accounts/{account_id}/gateway/categories
ModelsExpand Collapse
Category { id, beta, class, 3 more }
id?: number

Identify this category. Only one category per ID.

beta?: boolean

Indicate whether the category is in beta and subject to change.

class?: "free" | "premium" | "blocked" | 2 more

Specify which account types can create policies for this category. blocked Blocks unconditionally for all accounts. removalPending Allows removal from policies but disables addition. noBlock Prevents blocking.

One of the following:
"free"
"premium"
"blocked"
"removalPending"
"noBlock"
description?: string

Provide a short summary of domains in the category.

name?: string

Specify the category name.

subcategories?: Array<Subcategory>

Provide all subcategories for this category.

id?: number

Identify this category. Only one category per ID.

beta?: boolean

Indicate whether the category is in beta and subject to change.

class?: "free" | "premium" | "blocked" | 2 more

Specify which account types can create policies for this category. blocked Blocks unconditionally for all accounts. removalPending Allows removal from policies but disables addition. noBlock Prevents blocking.

One of the following:
"free"
"premium"
"blocked"
"removalPending"
"noBlock"
description?: string

Provide a short summary of domains in the category.

name?: string

Specify the category name.

GatewayApp Types

List application and application type mappings
client.zeroTrust.gateway.appTypes.list(AppTypeListParams { account_id } params, RequestOptionsoptions?): SinglePage<AppType>
GET/accounts/{account_id}/gateway/app_types
ModelsExpand Collapse
AppType = ZeroTrustGatewayApplication { id, application_type_id, created_at, name } | ZeroTrustGatewayApplicationType { id, created_at, description, name }
One of the following:
ZeroTrustGatewayApplication { id, application_type_id, created_at, name }
id?: number

Identify this application. Only one application per ID.

application_type_id?: number

Identify the type of this application. Multiple applications can share the same type. Refers to the id of a returned application type.

created_at?: string
formatdate-time
name?: string

Specify the name of the application or application type.

ZeroTrustGatewayApplicationType { id, created_at, description, name }
id?: number

Identify the type of this application. Multiple applications can share the same type. Refers to the id of a returned application type.

created_at?: string
formatdate-time
description?: string

Provide a short summary of applications with this type.

name?: string

Specify the name of the application or application type.

GatewayConfigurations

Get Zero Trust account configuration
client.zeroTrust.gateway.configurations.get(ConfigurationGetParams { account_id } params, RequestOptionsoptions?): ConfigurationGetResponse { created_at, settings, updated_at }
GET/accounts/{account_id}/gateway/configuration
Update Zero Trust account configuration
client.zeroTrust.gateway.configurations.update(ConfigurationUpdateParams { account_id, settings } params, RequestOptionsoptions?): ConfigurationUpdateResponse { created_at, settings, updated_at }
PUT/accounts/{account_id}/gateway/configuration
Patch Zero Trust account configuration
client.zeroTrust.gateway.configurations.edit(ConfigurationEditParams { account_id, settings } params, RequestOptionsoptions?): ConfigurationEditResponse { created_at, settings, updated_at }
PATCH/accounts/{account_id}/gateway/configuration
ModelsExpand Collapse
ActivityLogSettings { enabled }

Specify activity log settings.

enabled?: boolean | null

Specify whether to log activity.

AntiVirusSettings { enabled_download_phase, enabled_upload_phase, fail_closed, notification_settings }

Specify anti-virus settings.

enabled_download_phase?: boolean | null

Specify whether to enable anti-virus scanning on downloads.

enabled_upload_phase?: boolean | null

Specify whether to enable anti-virus scanning on uploads.

fail_closed?: boolean | null

Specify whether to block requests for unscannable files.

notification_settings?: NotificationSettings { enabled, include_context, msg, support_url } | null

Configure the message the user’s device shows during an antivirus scan.

BlockPageSettings { background_color, enabled, footer_text, 12 more }

Specify block page layout settings.

background_color?: string

Specify the block page background color in #rrggbb format when the mode is customized_block_page.

enabled?: boolean | null

Specify whether to enable the custom block page.

header_text?: string

Specify the block page header text when the mode is customized_block_page.

include_context?: boolean

Specify whether to append context to target_uri as query parameters. This applies only when the mode is redirect_uri.

logo_path?: string

Specify the full URL to the logo file when the mode is customized_block_page.

mailto_address?: string

Specify the admin email for users to contact when the mode is customized_block_page.

mailto_subject?: string

Specify the subject line for emails created from the block page when the mode is customized_block_page.

mode?: "" | "customized_block_page" | "redirect_uri"

Specify whether to redirect users to a Cloudflare-hosted block page or a customer-provided URI.

One of the following:
""
"customized_block_page"
"redirect_uri"
name?: string

Specify the block page title when the mode is customized_block_page.

read_only?: boolean | null

Indicate that this setting was shared via the Orgs API and read only for the current account.

source_account?: string | null

Indicate the account tag of the account that shared this setting.

target_uri?: string

Specify the URI to redirect users to when the mode is redirect_uri.

formaturi
version?: number | null

Indicate the version number of the setting.

BodyScanningSettings { inspection_mode }

Specify the DLP inspection mode.

inspection_mode?: "deep" | "shallow"

Specify the inspection mode as either deep or shallow.

One of the following:
"deep"
"shallow"
BrowserIsolationSettings { non_identity_enabled, url_browser_isolation_enabled }

Specify Clientless Browser Isolation settings.

non_identity_enabled?: boolean

Specify whether to enable non-identity onramp support for Browser Isolation.

url_browser_isolation_enabled?: boolean

Specify whether to enable Clientless Browser Isolation.

CustomCertificateSettings { enabled, id, binding_status, updated_at }

Specify custom certificate settings for BYO-PKI. This field is deprecated; use certificate instead.

enabled: boolean | null

Specify whether to enable a custom certificate authority for signing Gateway traffic.

id?: string

Specify the UUID of the certificate (ID from MTLS certificate store).

binding_status?: string

Indicate the internal certificate status.

updated_at?: string
formatdate-time
ExtendedEmailMatching { enabled, read_only, source_account, version }

Configures user email settings for firewall policies. When you enable this, the system standardizes email addresses in the identity portion of the rule to match extended email variants in firewall policies. When you disable this setting, the system matches email addresses exactly as you provide them. Enable this setting if your email uses . or + modifiers.

enabled?: boolean | null

Specify whether to match all variants of user emails (with + or . modifiers) used as criteria in Firewall policies.

read_only?: boolean

Indicate that this setting was shared via the Orgs API and read only for the current account.

source_account?: string

Indicate the account tag of the account that shared this setting.

version?: number

Indicate the version number of the setting.

FipsSettings { tls }

Specify FIPS settings.

tls?: boolean

Enforce cipher suites and TLS versions compliant with FIPS 140-2.

GatewayConfigurationSettings { activity_log, antivirus, block_page, 11 more }

Specify account settings.

activity_log?: ActivityLogSettings { enabled } | null

Specify activity log settings.

antivirus?: AntiVirusSettings { enabled_download_phase, enabled_upload_phase, fail_closed, notification_settings } | null

Specify anti-virus settings.

block_page?: BlockPageSettings { background_color, enabled, footer_text, 12 more } | null

Specify block page layout settings.

body_scanning?: BodyScanningSettings { inspection_mode } | null

Specify the DLP inspection mode.

browser_isolation?: BrowserIsolationSettings { non_identity_enabled, url_browser_isolation_enabled } | null

Specify Clientless Browser Isolation settings.

certificate?: Certificate | null

Specify certificate settings for Gateway TLS interception. If unset, the Cloudflare Root CA handles interception.

id: string

Specify the UUID of the certificate used for interception. Ensure the certificate is available at the edge(previously called ‘active’). A nil UUID directs Cloudflare to use the Root CA.

Deprecatedcustom_certificate?: CustomCertificateSettings { enabled, id, binding_status, updated_at } | null

Specify custom certificate settings for BYO-PKI. This field is deprecated; use certificate instead.

extended_email_matching?: ExtendedEmailMatching { enabled, read_only, source_account, version } | null

Configures user email settings for firewall policies. When you enable this, the system standardizes email addresses in the identity portion of the rule to match extended email variants in firewall policies. When you disable this setting, the system matches email addresses exactly as you provide them. Enable this setting if your email uses . or + modifiers.

fips?: FipsSettings { tls } | null

Specify FIPS settings.

host_selector?: HostSelector | null

Enable host selection in egress policies.

enabled?: boolean | null

Specify whether to enable filtering via hosts for egress policies.

inspection?: Inspection | null

Define the proxy inspection mode.

mode?: "static" | "dynamic"

Define the proxy inspection mode. 1. static: Gateway applies static inspection to HTTP on TCP(80). With TLS decryption on, Gateway inspects HTTPS traffic on TCP(443) and UDP(443). 2. dynamic: Gateway applies protocol detection to inspect HTTP and HTTPS traffic on any port. TLS decryption must remain on to inspect HTTPS traffic.

One of the following:
"static"
"dynamic"
protocol_detection?: ProtocolDetection { enabled } | null

Specify whether to detect protocols from the initial bytes of client traffic.

sandbox?: Sandbox | null

Specify whether to enable the sandbox.

enabled?: boolean | null

Specify whether to enable the sandbox.

fallback_action?: "allow" | "block"

Specify the action to take when the system cannot scan the file.

One of the following:
"allow"
"block"
tls_decrypt?: TLSSettings { enabled } | null

Specify whether to inspect encrypted HTTP traffic.

NotificationSettings { enabled, include_context, msg, support_url }

Configure the message the user’s device shows during an antivirus scan.

enabled?: boolean

Specify whether to enable notifications.

include_context?: boolean

Specify whether to include context information as query parameters.

msg?: string

Specify the message to show in the notification.

support_url?: string

Specify a URL that directs users to more information. If unset, the notification opens a block page.

ProtocolDetection { enabled }

Specify whether to detect protocols from the initial bytes of client traffic.

enabled?: boolean | null

Specify whether to detect protocols from the initial bytes of client traffic.

TLSSettings { enabled }

Specify whether to inspect encrypted HTTP traffic.

enabled?: boolean

Specify whether to inspect encrypted HTTP traffic.

ConfigurationGetResponse { created_at, settings, updated_at }

Specify account settings.

created_at?: string
formatdate-time
settings?: GatewayConfigurationSettings { activity_log, antivirus, block_page, 11 more }

Specify account settings.

updated_at?: string
formatdate-time
ConfigurationUpdateResponse { created_at, settings, updated_at }

Specify account settings.

created_at?: string
formatdate-time
settings?: GatewayConfigurationSettings { activity_log, antivirus, block_page, 11 more }

Specify account settings.

updated_at?: string
formatdate-time
ConfigurationEditResponse { created_at, settings, updated_at }

Specify account settings.

created_at?: string
formatdate-time
settings?: GatewayConfigurationSettings { activity_log, antivirus, block_page, 11 more }

Specify account settings.

updated_at?: string
formatdate-time

GatewayConfigurationsCustom Certificate

Get Zero Trust certificate configuration
Deprecated
client.zeroTrust.gateway.configurations.customCertificate.get(CustomCertificateGetParams { account_id } params, RequestOptionsoptions?): CustomCertificateSettings { enabled, id, binding_status, updated_at } | null
GET/accounts/{account_id}/gateway/configuration/custom_certificate

GatewayLists

List Zero Trust lists
client.zeroTrust.gateway.lists.list(ListListParams { account_id, type } params, RequestOptionsoptions?): SinglePage<GatewayList { id, count, created_at, 5 more } >
GET/accounts/{account_id}/gateway/lists
Get Zero Trust list details
client.zeroTrust.gateway.lists.get(stringlistId, ListGetParams { account_id } params, RequestOptionsoptions?): GatewayList { id, count, created_at, 5 more }
GET/accounts/{account_id}/gateway/lists/{list_id}
Create Zero Trust list
client.zeroTrust.gateway.lists.create(ListCreateParams { account_id, name, type, 2 more } params, RequestOptionsoptions?): ListCreateResponse { id, created_at, description, 4 more }
POST/accounts/{account_id}/gateway/lists
Update Zero Trust list
client.zeroTrust.gateway.lists.update(stringlistId, ListUpdateParams { account_id, name, description, items } params, RequestOptionsoptions?): GatewayList { id, count, created_at, 5 more }
PUT/accounts/{account_id}/gateway/lists/{list_id}
Patch Zero Trust list.
client.zeroTrust.gateway.lists.edit(stringlistId, ListEditParams { account_id, append, remove } params, RequestOptionsoptions?): GatewayList { id, count, created_at, 5 more }
PATCH/accounts/{account_id}/gateway/lists/{list_id}
Delete Zero Trust list
client.zeroTrust.gateway.lists.delete(stringlistId, ListDeleteParams { account_id } params, RequestOptionsoptions?): ListDeleteResponse
DELETE/accounts/{account_id}/gateway/lists/{list_id}
ModelsExpand Collapse
GatewayItem { created_at, description, value }
created_at?: string
formatdate-time
description?: string

Provide the list item description (optional).

minimum0
value?: string

Specify the item value.

GatewayList { id, count, created_at, 5 more }
id?: string

Identify the API resource with a UUID.

maxLength36
count?: number

Indicate the number of items in the list.

created_at?: string
formatdate-time
description?: string

Provide the list description.

items?: Array<GatewayItem { created_at, description, value } >

Provide the list items.

created_at?: string
formatdate-time
description?: string

Provide the list item description (optional).

minimum0
value?: string

Specify the item value.

name?: string

Specify the list name.

type?: "SERIAL" | "URL" | "DOMAIN" | 5 more

Specify the list type.

One of the following:
"SERIAL"
"URL"
"DOMAIN"
"EMAIL"
"IP"
"CATEGORY"
"LOCATION"
"DEVICE"
updated_at?: string
formatdate-time
ListCreateResponse { id, created_at, description, 4 more }
id?: string

Identify the API resource with a UUID.

maxLength36
created_at?: string
formatdate-time
description?: string

Provide the list description.

items?: Array<GatewayItem { created_at, description, value } >

Provide the list items.

created_at?: string
formatdate-time
description?: string

Provide the list item description (optional).

minimum0
value?: string

Specify the item value.

name?: string

Specify the list name.

type?: "SERIAL" | "URL" | "DOMAIN" | 5 more

Specify the list type.

One of the following:
"SERIAL"
"URL"
"DOMAIN"
"EMAIL"
"IP"
"CATEGORY"
"LOCATION"
"DEVICE"
updated_at?: string
formatdate-time
ListDeleteResponse = unknown

GatewayListsItems

Get Zero Trust list items
client.zeroTrust.gateway.lists.items.list(stringlistId, ItemListParams { account_id } params, RequestOptionsoptions?): SinglePage<ItemListResponse { created_at, description, value } >
GET/accounts/{account_id}/gateway/lists/{list_id}/items
ModelsExpand Collapse
ItemListResponse = Array<GatewayItem { created_at, description, value } >

Provide the list items.

created_at?: string
formatdate-time
description?: string

Provide the list item description (optional).

minimum0
value?: string

Specify the item value.

GatewayLocations

List Zero Trust Gateway locations
client.zeroTrust.gateway.locations.list(LocationListParams { account_id } params, RequestOptionsoptions?): SinglePage<Location { id, client_default, created_at, 11 more } >
GET/accounts/{account_id}/gateway/locations
Get Zero Trust Gateway location details
client.zeroTrust.gateway.locations.get(stringlocationId, LocationGetParams { account_id } params, RequestOptionsoptions?): Location { id, client_default, created_at, 11 more }
GET/accounts/{account_id}/gateway/locations/{location_id}
Create a Zero Trust Gateway location
client.zeroTrust.gateway.locations.create(LocationCreateParams { account_id, name, client_default, 4 more } params, RequestOptionsoptions?): Location { id, client_default, created_at, 11 more }
POST/accounts/{account_id}/gateway/locations
Update a Zero Trust Gateway location
client.zeroTrust.gateway.locations.update(stringlocationId, LocationUpdateParams { account_id, name, client_default, 4 more } params, RequestOptionsoptions?): Location { id, client_default, created_at, 11 more }
PUT/accounts/{account_id}/gateway/locations/{location_id}
Delete a Zero Trust Gateway location
client.zeroTrust.gateway.locations.delete(stringlocationId, LocationDeleteParams { account_id } params, RequestOptionsoptions?): LocationDeleteResponse
DELETE/accounts/{account_id}/gateway/locations/{location_id}
ModelsExpand Collapse
DOHEndpoint { enabled, networks, require_token }
enabled?: boolean

Indicate whether the DOH endpoint is enabled for this location.

networks?: Array<IPNetwork { network } > | null

Specify the list of allowed source IP network ranges for this endpoint. When the list is empty, the endpoint allows all source IPs. The list takes effect only if the endpoint is enabled for this location.

network: string

Specify the IP address or IP CIDR.

require_token?: boolean

Specify whether the DOH endpoint requires user identity authentication.

DOTEndpoint { enabled, networks }
enabled?: boolean

Indicate whether the DOT endpoint is enabled for this location.

networks?: Array<IPNetwork { network } > | null

Specify the list of allowed source IP network ranges for this endpoint. When the list is empty, the endpoint allows all source IPs. The list takes effect only if the endpoint is enabled for this location.

network: string

Specify the IP address or IP CIDR.

Endpoint { doh, dot, ipv4, ipv6 }

Configure the destination endpoints for this location.

doh: DOHEndpoint { enabled, networks, require_token }
dot: DOTEndpoint { enabled, networks }
ipv4: IPV4Endpoint { enabled }
ipv6: IPV6Endpoint { enabled, networks }
IPNetwork { network }
network: string

Specify the IP address or IP CIDR.

IPV4Endpoint { enabled }
enabled?: boolean

Indicate whether the IPv4 endpoint is enabled for this location.

IPV6Endpoint { enabled, networks }
enabled?: boolean

Indicate whether the IPV6 endpoint is enabled for this location.

networks?: Array<IPV6Network { network } > | null

Specify the list of allowed source IPv6 network ranges for this endpoint. When the list is empty, the endpoint allows all source IPs. The list takes effect only if the endpoint is enabled for this location.

network: string

Specify the IPv6 address or IPv6 CIDR.

IPV6Network { network }
network: string

Specify the IPv6 address or IPv6 CIDR.

Location { id, client_default, created_at, 11 more }
id?: string
client_default?: boolean

Indicate whether this location is the default location.

created_at?: string
formatdate-time
dns_destination_ips_id?: string

Indicate the identifier of the pair of IPv4 addresses assigned to this location.

dns_destination_ipv6_block_id?: string | null

Specify the UUID of the IPv6 block brought to the gateway so that this location’s IPv6 address is allocated from the Bring Your Own IPv6 (BYOIPv6) block rather than the standard Cloudflare IPv6 block.

doh_subdomain?: string

Specify the DNS over HTTPS domain that receives DNS requests. Gateway automatically generates this value.

ecs_support?: boolean

Indicate whether the location must resolve EDNS queries.

endpoints?: Endpoint { doh, dot, ipv4, ipv6 } | null

Configure the destination endpoints for this location.

ip?: string

Defines the automatically generated IPv6 destination IP assigned to this location. Gateway counts all DNS requests sent to this IP as requests under this location.

ipv4_destination?: string

Show the primary destination IPv4 address from the pair identified dns_destination_ips_id. This field read-only.

ipv4_destination_backup?: string

Show the backup destination IPv4 address from the pair identified dns_destination_ips_id. This field read-only.

name?: string

Specify the location name.

networks?: Array<Network> | null

Specify the list of network ranges from which requests at this location originate. The list takes effect only if it is non-empty and the IPv4 endpoint is enabled for this location.

network: string

Specify the IPv4 address or IPv4 CIDR. Limit IPv4 CIDRs to a maximum of /24.

updated_at?: string
formatdate-time
LocationDeleteResponse = unknown

GatewayLogging

Get logging settings for the Zero Trust account
client.zeroTrust.gateway.logging.get(LoggingGetParams { account_id } params, RequestOptionsoptions?): LoggingSetting { redact_pii, settings_by_rule_type }
GET/accounts/{account_id}/gateway/logging
Update Zero Trust account logging settings
client.zeroTrust.gateway.logging.update(LoggingUpdateParams { account_id, redact_pii, settings_by_rule_type } params, RequestOptionsoptions?): LoggingSetting { redact_pii, settings_by_rule_type }
PUT/accounts/{account_id}/gateway/logging
ModelsExpand Collapse
LoggingSetting { redact_pii, settings_by_rule_type }
redact_pii?: boolean

Indicate whether to redact personally identifiable information from activity logging (PII fields include source IP, user email, user ID, device ID, URL, referrer, and user agent).

settings_by_rule_type?: SettingsByRuleType { dns, http, l4 }

Configure logging settings for each rule type.

dns?: DNS { log_all, log_blocks }

Configure logging settings for DNS firewall.

log_all?: boolean

Specify whether to log all requests to this service.

log_blocks?: boolean

Specify whether to log only blocking requests to this service.

http?: HTTP { log_all, log_blocks }

Configure logging settings for HTTP/HTTPS firewall.

log_all?: boolean

Specify whether to log all requests to this service.

log_blocks?: boolean

Specify whether to log only blocking requests to this service.

l4?: L4 { log_all, log_blocks }

Configure logging settings for Network firewall.

log_all?: boolean

Specify whether to log all requests to this service.

log_blocks?: boolean

Specify whether to log only blocking requests to this service.

GatewayProxy Endpoints

List proxy endpoints
client.zeroTrust.gateway.proxyEndpoints.list(ProxyEndpointListParams { account_id } params, RequestOptionsoptions?): SinglePage<ProxyEndpoint>
GET/accounts/{account_id}/gateway/proxy_endpoints
Get a proxy endpoint
client.zeroTrust.gateway.proxyEndpoints.get(stringproxyEndpointId, ProxyEndpointGetParams { account_id } params, RequestOptionsoptions?): ProxyEndpoint
GET/accounts/{account_id}/gateway/proxy_endpoints/{proxy_endpoint_id}
Create a proxy endpoint
client.zeroTrust.gateway.proxyEndpoints.create(ProxyEndpointCreateParamsparams, RequestOptionsoptions?): ProxyEndpoint
POST/accounts/{account_id}/gateway/proxy_endpoints
Update a proxy endpoint
client.zeroTrust.gateway.proxyEndpoints.edit(stringproxyEndpointId, ProxyEndpointEditParams { account_id, ips, name } params, RequestOptionsoptions?): ProxyEndpoint
PATCH/accounts/{account_id}/gateway/proxy_endpoints/{proxy_endpoint_id}
Delete a proxy endpoint
client.zeroTrust.gateway.proxyEndpoints.delete(stringproxyEndpointId, ProxyEndpointDeleteParams { account_id } params, RequestOptionsoptions?): ProxyEndpointDeleteResponse
DELETE/accounts/{account_id}/gateway/proxy_endpoints/{proxy_endpoint_id}
ModelsExpand Collapse
GatewayIPs = string

Specify an IPv4 or IPv6 CIDR. Limit IPv6 to a maximum of /109 and IPv4 to a maximum of /25.

ProxyEndpoint = ZeroTrustGatewayProxyEndpointIP { ips, name, id, 4 more } | ZeroTrustGatewayProxyEndpointIdentity { kind, name, id, 3 more }
One of the following:
ZeroTrustGatewayProxyEndpointIP { ips, name, id, 4 more }
ips: Array<GatewayIPs>

Specify the list of CIDRs to restrict ingress connections.

name: string

Specify the name of the proxy endpoint.

id?: string
created_at?: string
formatdate-time
kind?: "ip"

The proxy endpoint kind

subdomain?: string

Specify the subdomain to use as the destination in the proxy client.

updated_at?: string
formatdate-time
ZeroTrustGatewayProxyEndpointIdentity { kind, name, id, 3 more }
kind: "identity"

The proxy endpoint kind

name: string

Specify the name of the proxy endpoint.

id?: string
created_at?: string
formatdate-time
subdomain?: string

Specify the subdomain to use as the destination in the proxy client.

updated_at?: string
formatdate-time
ProxyEndpointDeleteResponse = unknown

GatewayRules

List Zero Trust Gateway rules
client.zeroTrust.gateway.rules.list(RuleListParams { account_id } params, RequestOptionsoptions?): SinglePage<GatewayRule { action, enabled, filters, 18 more } >
GET/accounts/{account_id}/gateway/rules
Get Zero Trust Gateway rule details.
client.zeroTrust.gateway.rules.get(stringruleId, RuleGetParams { account_id } params, RequestOptionsoptions?): GatewayRule { action, enabled, filters, 18 more }
GET/accounts/{account_id}/gateway/rules/{rule_id}
Create a Zero Trust Gateway rule
client.zeroTrust.gateway.rules.create(RuleCreateParams { account_id, action, name, 10 more } params, RequestOptionsoptions?): GatewayRule { action, enabled, filters, 18 more }
POST/accounts/{account_id}/gateway/rules
Update a Zero Trust Gateway rule
client.zeroTrust.gateway.rules.update(stringruleId, RuleUpdateParams { account_id, action, name, 10 more } params, RequestOptionsoptions?): GatewayRule { action, enabled, filters, 18 more }
PUT/accounts/{account_id}/gateway/rules/{rule_id}
Delete a Zero Trust Gateway rule
client.zeroTrust.gateway.rules.delete(stringruleId, RuleDeleteParams { account_id } params, RequestOptionsoptions?): RuleDeleteResponse
DELETE/accounts/{account_id}/gateway/rules/{rule_id}
List Zero Trust Gateway rules inherited from the parent account
client.zeroTrust.gateway.rules.listTenant(RuleListTenantParams { account_id } params, RequestOptionsoptions?): SinglePage<GatewayRule { action, enabled, filters, 18 more } >
GET/accounts/{account_id}/gateway/rules/tenant
Reset the expiration of a Zero Trust Gateway Rule
client.zeroTrust.gateway.rules.resetExpiration(stringruleId, RuleResetExpirationParams { account_id } params, RequestOptionsoptions?): GatewayRule { action, enabled, filters, 18 more }
POST/accounts/{account_id}/gateway/rules/{rule_id}/reset_expiration
ModelsExpand Collapse
DNSResolverSettingsV4 { ip, port, route_through_private_network, vnet_id }
ip: string

Specify the IPv4 address of the upstream resolver.

port?: number

Specify a port number to use for the upstream resolver. Defaults to 53 if unspecified.

route_through_private_network?: boolean

Indicate whether to connect to this resolver over a private network. Must set when vnet_id set.

vnet_id?: string

Specify an optional virtual network for this resolver. Uses default virtual network id if omitted.

DNSResolverSettingsV6 { ip, port, route_through_private_network, vnet_id }
ip: string

Specify the IPv6 address of the upstream resolver.

port?: number

Specify a port number to use for the upstream resolver. Defaults to 53 if unspecified.

route_through_private_network?: boolean

Indicate whether to connect to this resolver over a private network. Must set when vnet_id set.

vnet_id?: string

Specify an optional virtual network for this resolver. Uses default virtual network id if omitted.

GatewayFilter = "http" | "dns" | "l4" | 2 more

Specify the protocol or layer to use.

One of the following:
"http"
"dns"
"l4"
"egress"
"dns_resolver"
GatewayRule { action, enabled, filters, 18 more }
action: "on" | "off" | "allow" | 13 more

Specify the action to perform when the associated traffic, identity, and device posture expressions either absent or evaluate to true.

One of the following:
"on"
"off"
"allow"
"block"
"scan"
"noscan"
"safesearch"
"ytrestricted"
"isolate"
"noisolate"
"override"
"l4_override"
"egress"
"resolve"
"quarantine"
"redirect"
enabled: boolean

Specify whether the rule is enabled.

filters: Array<GatewayFilter>

Specify the protocol or layer to evaluate the traffic, identity, and device posture expressions. Can only contain a single value.

One of the following:
"http"
"dns"
"l4"
"egress"
"dns_resolver"
name: string

Specify the rule name.

precedence: number

Set the order of your rules. Lower values indicate higher precedence. At each processing phase, evaluate applicable rules in ascending order of this value. Refer to Order of enforcement to manage precedence via Terraform.

traffic: string

Specify the wirefilter expression used for traffic matching. The API automatically formats and sanitizes expressions before storing them. To prevent Terraform state drift, use the formatted expression returned in the API response.

id?: string

Identify the API resource with a UUID.

maxLength36
created_at?: string
formatdate-time
deleted_at?: string | null

Indicate the date of deletion, if any.

formatdate-time
description?: string

Specify the rule description.

device_posture?: string

Specify the wirefilter expression used for device posture check. The API automatically formats and sanitizes expressions before storing them. To prevent Terraform state drift, use the formatted expression returned in the API response.

expiration?: Expiration | null

Defines the expiration time stamp and default duration of a DNS policy. Takes precedence over the policy’s schedule configuration, if any. This does not apply to HTTP or network policies. Settable only for dns rules.

expires_at: string

Show the timestamp when the policy expires and stops applying. The value must follow RFC 3339 and include a UTC offset. The system accepts non-zero offsets but converts them to the equivalent UTC+00:00 value and returns timestamps with a trailing Z. Expiration policies ignore client timezones and expire globally at the specified expires_at time.

formatdate-time
duration?: number

Defines the default duration a policy active in minutes. Must set in order to use the reset_expiration endpoint on this rule.

minimum5
expired?: boolean

Indicates whether the policy is expired.

identity?: string

Specify the wirefilter expression used for identity matching. The API automatically formats and sanitizes expressions before storing them. To prevent Terraform state drift, use the formatted expression returned in the API response.

read_only?: boolean

Indicate that this rule is shared via the Orgs API and read only.

rule_settings?: RuleSetting { add_headers, allow_child_bypass, audit_ssh, 23 more }

Defines settings for this rule. Settings apply only to specific rule types and must use compatible selectors. If Terraform detects drift, confirm the setting supports your rule type and check whether the API modifies the value. Use API-returned values in your configuration to prevent drift.

schedule?: Schedule { fri, mon, sat, 5 more } | null

Defines the schedule for activating DNS policies. Settable only for dns and dns_resolver rules.

sharable?: boolean

Indicate that this rule is sharable via the Orgs API.

source_account?: string

Provide the account tag of the account that created the rule.

updated_at?: string
formatdate-time
version?: number

Indicate the version number of the rule(read-only).

warning_status?: string | null

Indicate a warning for a misconfigured rule, if any.

RuleSetting { add_headers, allow_child_bypass, audit_ssh, 23 more }

Defines settings for this rule. Settings apply only to specific rule types and must use compatible selectors. If Terraform detects drift, confirm the setting supports your rule type and check whether the API modifies the value. Use API-returned values in your configuration to prevent drift.

add_headers?: Record<string, Array<string>> | null

Add custom headers to allowed requests as key-value pairs. Use header names as keys that map to arrays of header values. Settable only for http rules with the action set to allow.

allow_child_bypass?: boolean | null

Set to enable MSP children to bypass this rule. Only parent MSP accounts can set this. this rule. Settable for all types of rules.

audit_ssh?: AuditSSH | null

Define the settings for the Audit SSH action. Settable only for l4 rules with audit_ssh action.

command_logging?: boolean

Enable SSH command logging.

biso_admin_controls?: BISOAdminControls { copy, dcp, dd, 9 more }

Configure browser isolation behavior. Settable only for http rules with the action set to isolate.

copy?: "enabled" | "disabled" | "remote_only"

Configure copy behavior. If set to remote_only, users cannot copy isolated content from the remote browser to the local clipboard. If this field is absent, copying remains enabled. Applies only when version == “v2”.

One of the following:
"enabled"
"disabled"
"remote_only"
dcp?: boolean

Set to false to enable copy-pasting. Only applies when version == "v1".

dd?: boolean

Set to false to enable downloading. Only applies when version == "v1".

dk?: boolean

Set to false to enable keyboard usage. Only applies when version == "v1".

download?: "enabled" | "disabled" | "remote_only"

Configure download behavior. When set to remote_only, users can view downloads but cannot save them. Applies only when version == “v2”.

One of the following:
"enabled"
"disabled"
"remote_only"
dp?: boolean

Set to false to enable printing. Only applies when version == "v1".

du?: boolean

Set to false to enable uploading. Only applies when version == "v1".

keyboard?: "enabled" | "disabled"

Configure keyboard usage behavior. If this field is absent, keyboard usage remains enabled. Applies only when version == “v2”.

One of the following:
"enabled"
"disabled"
paste?: "enabled" | "disabled" | "remote_only"

Configure paste behavior. If set to remote_only, users cannot paste content from the local clipboard into isolated pages. If this field is absent, pasting remains enabled. Applies only when version == “v2”.

One of the following:
"enabled"
"disabled"
"remote_only"
printing?: "enabled" | "disabled"

Configure print behavior. Default, Printing is enabled. Applies only when version == “v2”.

One of the following:
"enabled"
"disabled"
upload?: "enabled" | "disabled"

Configure upload behavior. If this field is absent, uploading remains enabled. Applies only when version == “v2”.

One of the following:
"enabled"
"disabled"
version?: "v1" | "v2"

Indicate which version of the browser isolation controls should apply.

One of the following:
"v1"
"v2"
block_page?: BlockPage | null

Configure custom block page settings. If missing or null, use the account settings. Settable only for http rules with the action set to block.

target_uri: string

Specify the URI to which the user is redirected.

formaturi
include_context?: boolean

Specify whether to pass the context information as query parameters.

block_page_enabled?: boolean

Enable the custom block page. Settable only for dns rules with action block.

block_reason?: string | null

Explain why the rule blocks the request. The custom block page shows this text (if enabled). Settable only for dns, l4, and http rules when the action set to block.

bypass_parent_rule?: boolean | null

Set to enable MSP accounts to bypass their parent’s rules. Only MSP child accounts can set this. Settable for all types of rules.

check_session?: CheckSession | null

Configure session check behavior. Settable only for l4 and http rules with the action set to allow.

duration?: string

Sets the required session freshness threshold. The API returns a normalized version of this value.

enforce?: boolean

Enable session enforcement.

dns_resolvers?: DNSResolvers | null

Configure custom resolvers to route queries that match the resolver policy. Unused with ‘resolve_dns_through_cloudflare’ or ‘resolve_dns_internally’ settings. DNS queries get routed to the address closest to their origin. Only valid when a rule’s action set to ‘resolve’. Settable only for dns_resolver rules.

ipv4?: Array<DNSResolverSettingsV4 { ip, port, route_through_private_network, vnet_id } >
ip: string

Specify the IPv4 address of the upstream resolver.

port?: number

Specify a port number to use for the upstream resolver. Defaults to 53 if unspecified.

route_through_private_network?: boolean

Indicate whether to connect to this resolver over a private network. Must set when vnet_id set.

vnet_id?: string

Specify an optional virtual network for this resolver. Uses default virtual network id if omitted.

ipv6?: Array<DNSResolverSettingsV6 { ip, port, route_through_private_network, vnet_id } >
ip: string

Specify the IPv6 address of the upstream resolver.

port?: number

Specify a port number to use for the upstream resolver. Defaults to 53 if unspecified.

route_through_private_network?: boolean

Indicate whether to connect to this resolver over a private network. Must set when vnet_id set.

vnet_id?: string

Specify an optional virtual network for this resolver. Uses default virtual network id if omitted.

egress?: Egress | null

Configure how Gateway Proxy traffic egresses. You can enable this setting for rules with Egress actions and filters, or omit it to indicate local egress via WARP IPs. Settable only for egress rules.

ipv4?: string

Specify the IPv4 address to use for egress.

ipv4_fallback?: string

Specify the fallback IPv4 address to use for egress when the primary IPv4 fails. Set ‘0.0.0.0’ to indicate local egress via WARP IPs.

ipv6?: string

Specify the IPv6 range to use for egress.

forensic_copy?: ForensicCopy | null

Configure whether a copy of the HTTP request will be sent to storage when the rule matches.

enabled?: boolean

Enable sending the copy to storage.

ignore_cname_category_matches?: boolean

Ignore category matches at CNAME domains in a response. When off, evaluate categories in this rule against all CNAME domain categories in the response. Settable only for dns and dns_resolver rules.

insecure_disable_dnssec_validation?: boolean

Specify whether to disable DNSSEC validation (for Allow actions) [INSECURE]. Settable only for dns rules.

ip_categories?: boolean

Enable IPs in DNS resolver category blocks. The system blocks only domain name categories unless you enable this setting. Settable only for dns and dns_resolver rules.

ip_indicator_feeds?: boolean

Indicates whether to include IPs in DNS resolver indicator feed blocks. Default, indicator feeds block only domain names. Settable only for dns and dns_resolver rules.

l4override?: L4override | null

Send matching traffic to the supplied destination IP address and port. Settable only for l4 rules with the action set to l4_override.

ip?: string

Defines the IPv4 or IPv6 address.

port?: number

Defines a port number to use for TCP/UDP overrides.

notification_settings?: NotificationSettings | null

Configure a notification to display on the user’s device when this rule matched. Settable for all types of rules with the action set to block.

enabled?: boolean

Enable notification.

include_context?: boolean

Indicates whether to pass the context information as query parameters.

msg?: string

Customize the message shown in the notification.

support_url?: string

Defines an optional URL to direct users to additional information. If unset, the notification opens a block page.

override_host?: string

Defines a hostname for override, for the matching DNS queries. Settable only for dns rules with the action set to override.

override_ips?: Array<string> | null

Defines a an IP or set of IPs for overriding matched DNS queries. Settable only for dns rules with the action set to override.

payload_log?: PayloadLog | null

Configure DLP payload logging. Settable only for http rules.

enabled?: boolean

Enable DLP payload logging for this rule.

quarantine?: Quarantine | null

Configure settings that apply to quarantine rules. Settable only for http rules.

file_types?: Array<"exe" | "pdf" | "doc" | 10 more>

Specify the types of files to sandbox.

One of the following:
"exe"
"pdf"
"doc"
"docm"
"docx"
"rtf"
"ppt"
"pptx"
"xls"
"xlsm"
"xlsx"
"zip"
"rar"
redirect?: Redirect | null

Apply settings to redirect rules. Settable only for http rules with the action set to redirect.

target_uri: string

Specify the URI to which the user is redirected.

formaturi
include_context?: boolean

Specify whether to pass the context information as query parameters.

preserve_path_and_query?: boolean

Specify whether to append the path and query parameters from the original request to target_uri.

resolve_dns_internally?: ResolveDNSInternally | null

Configure to forward the query to the internal DNS service, passing the specified ‘view_id’ as input. Not used when ‘dns_resolvers’ is specified or ‘resolve_dns_through_cloudflare’ is set. Only valid when a rule’s action set to ‘resolve’. Settable only for dns_resolver rules.

fallback?: "none" | "public_dns"

Specify the fallback behavior to apply when the internal DNS response code differs from ‘NOERROR’ or when the response data contains only CNAME records for ‘A’ or ‘AAAA’ queries.

One of the following:
"none"
"public_dns"
view_id?: string

Specify the internal DNS view identifier to pass to the internal DNS service.

resolve_dns_through_cloudflare?: boolean | null

Enable to send queries that match the policy to Cloudflare’s default 1.1.1.1 DNS resolver. Cannot set when ‘dns_resolvers’ specified or ‘resolve_dns_internally’ is set. Only valid when a rule’s action set to ‘resolve’. Settable only for dns_resolver rules.

untrusted_cert?: UntrustedCERT | null

Configure behavior when an upstream certificate is invalid or an SSL error occurs. Settable only for http rules with the action set to allow.

action?: "pass_through" | "block" | "error"

Defines the action performed when an untrusted certificate seen. The default action an error with HTTP code 526.

One of the following:
"pass_through"
"block"
"error"
Schedule { fri, mon, sat, 5 more }

Defines the schedule for activating DNS policies. Settable only for dns and dns_resolver rules.

fri?: string

Specify the time intervals when the rule is active on Fridays, in the increasing order from 00:00-24:00. If this parameter omitted, the rule is deactivated on Fridays. API returns a formatted version of this string, which may cause Terraform drift if a unformatted value is used.

mon?: string

Specify the time intervals when the rule is active on Mondays, in the increasing order from 00:00-24:00(capped at maximum of 6 time splits). If this parameter omitted, the rule is deactivated on Mondays. API returns a formatted version of this string, which may cause Terraform drift if a unformatted value is used.

sat?: string

Specify the time intervals when the rule is active on Saturdays, in the increasing order from 00:00-24:00. If this parameter omitted, the rule is deactivated on Saturdays. API returns a formatted version of this string, which may cause Terraform drift if a unformatted value is used.

sun?: string

Specify the time intervals when the rule is active on Sundays, in the increasing order from 00:00-24:00. If this parameter omitted, the rule is deactivated on Sundays. API returns a formatted version of this string, which may cause Terraform drift if a unformatted value is used.

thu?: string

Specify the time intervals when the rule is active on Thursdays, in the increasing order from 00:00-24:00. If this parameter omitted, the rule is deactivated on Thursdays. API returns a formatted version of this string, which may cause Terraform drift if a unformatted value is used.

time_zone?: string

Specify the time zone for rule evaluation. When a valid time zone city name is provided, Gateway always uses the current time for that time zone. When this parameter is omitted, Gateway uses the time zone determined from the user’s IP address. Colo time zone is used when the user’s IP address does not resolve to a location.

tue?: string

Specify the time intervals when the rule is active on Tuesdays, in the increasing order from 00:00-24:00. If this parameter omitted, the rule is deactivated on Tuesdays. API returns a formatted version of this string, which may cause Terraform drift if a unformatted value is used.

wed?: string

Specify the time intervals when the rule is active on Wednesdays, in the increasing order from 00:00-24:00. If this parameter omitted, the rule is deactivated on Wednesdays. API returns a formatted version of this string, which may cause Terraform drift if a unformatted value is used.

RuleDeleteResponse = unknown

GatewayCertificates

List Zero Trust certificates
client.zeroTrust.gateway.certificates.list(CertificateListParams { account_id } params, RequestOptionsoptions?): SinglePage<CertificateListResponse { id, binding_status, certificate, 9 more } >
GET/accounts/{account_id}/gateway/certificates
Get Zero Trust certificate details
client.zeroTrust.gateway.certificates.get(stringcertificateId, CertificateGetParams { account_id } params, RequestOptionsoptions?): CertificateGetResponse { id, binding_status, certificate, 9 more }
GET/accounts/{account_id}/gateway/certificates/{certificate_id}
Create Zero Trust certificate
client.zeroTrust.gateway.certificates.create(CertificateCreateParams { account_id, validity_period_days } params, RequestOptionsoptions?): CertificateCreateResponse { id, binding_status, certificate, 9 more }
POST/accounts/{account_id}/gateway/certificates
Delete Zero Trust certificate
client.zeroTrust.gateway.certificates.delete(stringcertificateId, CertificateDeleteParams { account_id } params, RequestOptionsoptions?): CertificateDeleteResponse { id, binding_status, certificate, 9 more }
DELETE/accounts/{account_id}/gateway/certificates/{certificate_id}
Activate a Zero Trust certificate
client.zeroTrust.gateway.certificates.activate(stringcertificateId, CertificateActivateParams { account_id, body } params, RequestOptionsoptions?): CertificateActivateResponse { id, binding_status, certificate, 9 more }
POST/accounts/{account_id}/gateway/certificates/{certificate_id}/activate
Deactivate a Zero Trust certificate
client.zeroTrust.gateway.certificates.deactivate(stringcertificateId, CertificateDeactivateParams { account_id, body } params, RequestOptionsoptions?): CertificateDeactivateResponse { id, binding_status, certificate, 9 more }
POST/accounts/{account_id}/gateway/certificates/{certificate_id}/deactivate
ModelsExpand Collapse
CertificateListResponse { id, binding_status, certificate, 9 more }
id?: string

Identify the certificate with a UUID.

maxLength36
binding_status?: "pending_deployment" | "available" | "pending_deletion" | "inactive"

Indicate the read-only deployment status of the certificate on Cloudflare’s edge. Gateway TLS interception can use certificates in the ‘available’ (previously called ‘active’) state.

One of the following:
"pending_deployment"
"available"
"pending_deletion"
"inactive"
certificate?: string

Provide the CA certificate (read-only).

created_at?: string
formatdate-time
expires_on?: string
formatdate-time
fingerprint?: string

Provide the SHA256 fingerprint of the certificate (read-only).

in_use?: boolean

Indicate whether Gateway TLS interception uses this certificate (read-only). You cannot set this value directly. To configure interception, use the Gateway configuration setting named certificate (read-only).

issuer_org?: string

Indicate the organization that issued the certificate (read-only).

issuer_raw?: string

Provide the entire issuer field of the certificate (read-only).

type?: "custom" | "gateway_managed"

Indicate the read-only certificate type, BYO-PKI (custom) or Gateway-managed.

One of the following:
"custom"
"gateway_managed"
updated_at?: string
formatdate-time
uploaded_on?: string
formatdate-time
CertificateGetResponse { id, binding_status, certificate, 9 more }
id?: string

Identify the certificate with a UUID.

maxLength36
binding_status?: "pending_deployment" | "available" | "pending_deletion" | "inactive"

Indicate the read-only deployment status of the certificate on Cloudflare’s edge. Gateway TLS interception can use certificates in the ‘available’ (previously called ‘active’) state.

One of the following:
"pending_deployment"
"available"
"pending_deletion"
"inactive"
certificate?: string

Provide the CA certificate (read-only).

created_at?: string
formatdate-time
expires_on?: string
formatdate-time
fingerprint?: string

Provide the SHA256 fingerprint of the certificate (read-only).

in_use?: boolean

Indicate whether Gateway TLS interception uses this certificate (read-only). You cannot set this value directly. To configure interception, use the Gateway configuration setting named certificate (read-only).

issuer_org?: string

Indicate the organization that issued the certificate (read-only).

issuer_raw?: string

Provide the entire issuer field of the certificate (read-only).

type?: "custom" | "gateway_managed"

Indicate the read-only certificate type, BYO-PKI (custom) or Gateway-managed.

One of the following:
"custom"
"gateway_managed"
updated_at?: string
formatdate-time
uploaded_on?: string
formatdate-time
CertificateCreateResponse { id, binding_status, certificate, 9 more }
id?: string

Identify the certificate with a UUID.

maxLength36
binding_status?: "pending_deployment" | "available" | "pending_deletion" | "inactive"

Indicate the read-only deployment status of the certificate on Cloudflare’s edge. Gateway TLS interception can use certificates in the ‘available’ (previously called ‘active’) state.

One of the following:
"pending_deployment"
"available"
"pending_deletion"
"inactive"
certificate?: string

Provide the CA certificate (read-only).

created_at?: string
formatdate-time
expires_on?: string
formatdate-time
fingerprint?: string

Provide the SHA256 fingerprint of the certificate (read-only).

in_use?: boolean

Indicate whether Gateway TLS interception uses this certificate (read-only). You cannot set this value directly. To configure interception, use the Gateway configuration setting named certificate (read-only).

issuer_org?: string

Indicate the organization that issued the certificate (read-only).

issuer_raw?: string

Provide the entire issuer field of the certificate (read-only).

type?: "custom" | "gateway_managed"

Indicate the read-only certificate type, BYO-PKI (custom) or Gateway-managed.

One of the following:
"custom"
"gateway_managed"
updated_at?: string
formatdate-time
uploaded_on?: string
formatdate-time
CertificateDeleteResponse { id, binding_status, certificate, 9 more }
id?: string

Identify the certificate with a UUID.

maxLength36
binding_status?: "pending_deployment" | "available" | "pending_deletion" | "inactive"

Indicate the read-only deployment status of the certificate on Cloudflare’s edge. Gateway TLS interception can use certificates in the ‘available’ (previously called ‘active’) state.

One of the following:
"pending_deployment"
"available"
"pending_deletion"
"inactive"
certificate?: string

Provide the CA certificate (read-only).

created_at?: string
formatdate-time
expires_on?: string
formatdate-time
fingerprint?: string

Provide the SHA256 fingerprint of the certificate (read-only).

in_use?: boolean

Indicate whether Gateway TLS interception uses this certificate (read-only). You cannot set this value directly. To configure interception, use the Gateway configuration setting named certificate (read-only).

issuer_org?: string

Indicate the organization that issued the certificate (read-only).

issuer_raw?: string

Provide the entire issuer field of the certificate (read-only).

type?: "custom" | "gateway_managed"

Indicate the read-only certificate type, BYO-PKI (custom) or Gateway-managed.

One of the following:
"custom"
"gateway_managed"
updated_at?: string
formatdate-time
uploaded_on?: string
formatdate-time
CertificateActivateResponse { id, binding_status, certificate, 9 more }
id?: string

Identify the certificate with a UUID.

maxLength36
binding_status?: "pending_deployment" | "available" | "pending_deletion" | "inactive"

Indicate the read-only deployment status of the certificate on Cloudflare’s edge. Gateway TLS interception can use certificates in the ‘available’ (previously called ‘active’) state.

One of the following:
"pending_deployment"
"available"
"pending_deletion"
"inactive"
certificate?: string

Provide the CA certificate (read-only).

created_at?: string
formatdate-time
expires_on?: string
formatdate-time
fingerprint?: string

Provide the SHA256 fingerprint of the certificate (read-only).

in_use?: boolean

Indicate whether Gateway TLS interception uses this certificate (read-only). You cannot set this value directly. To configure interception, use the Gateway configuration setting named certificate (read-only).

issuer_org?: string

Indicate the organization that issued the certificate (read-only).

issuer_raw?: string

Provide the entire issuer field of the certificate (read-only).

type?: "custom" | "gateway_managed"

Indicate the read-only certificate type, BYO-PKI (custom) or Gateway-managed.

One of the following:
"custom"
"gateway_managed"
updated_at?: string
formatdate-time
uploaded_on?: string
formatdate-time
CertificateDeactivateResponse { id, binding_status, certificate, 9 more }
id?: string

Identify the certificate with a UUID.

maxLength36
binding_status?: "pending_deployment" | "available" | "pending_deletion" | "inactive"

Indicate the read-only deployment status of the certificate on Cloudflare’s edge. Gateway TLS interception can use certificates in the ‘available’ (previously called ‘active’) state.

One of the following:
"pending_deployment"
"available"
"pending_deletion"
"inactive"
certificate?: string

Provide the CA certificate (read-only).

created_at?: string
formatdate-time
expires_on?: string
formatdate-time
fingerprint?: string

Provide the SHA256 fingerprint of the certificate (read-only).

in_use?: boolean

Indicate whether Gateway TLS interception uses this certificate (read-only). You cannot set this value directly. To configure interception, use the Gateway configuration setting named certificate (read-only).

issuer_org?: string

Indicate the organization that issued the certificate (read-only).

issuer_raw?: string

Provide the entire issuer field of the certificate (read-only).

type?: "custom" | "gateway_managed"

Indicate the read-only certificate type, BYO-PKI (custom) or Gateway-managed.

One of the following:
"custom"
"gateway_managed"
updated_at?: string
formatdate-time
uploaded_on?: string
formatdate-time

GatewayPacfiles

List PAC files
client.zeroTrust.gateway.pacfiles.list(PacfileListParams { account_id } params, RequestOptionsoptions?): SinglePage<PacfileListResponse { id, created_at, description, 4 more } >
GET/accounts/{account_id}/gateway/pacfiles
Get a PAC file
client.zeroTrust.gateway.pacfiles.get(stringpacfileId, PacfileGetParams { account_id } params, RequestOptionsoptions?): PacfileGetResponse { id, contents, created_at, 5 more }
GET/accounts/{account_id}/gateway/pacfiles/{pacfile_id}
Create a PAC file
client.zeroTrust.gateway.pacfiles.create(PacfileCreateParams { account_id, contents, name, 2 more } params, RequestOptionsoptions?): PacfileCreateResponse { id, contents, created_at, 5 more }
POST/accounts/{account_id}/gateway/pacfiles
Update a Zero Trust Gateway PAC file
client.zeroTrust.gateway.pacfiles.update(stringpacfileId, PacfileUpdateParams { account_id, contents, description, name } params, RequestOptionsoptions?): PacfileUpdateResponse { id, contents, created_at, 5 more }
PUT/accounts/{account_id}/gateway/pacfiles/{pacfile_id}
Delete a PAC file
client.zeroTrust.gateway.pacfiles.delete(stringpacfileId, PacfileDeleteParams { account_id } params, RequestOptionsoptions?): PacfileDeleteResponse
DELETE/accounts/{account_id}/gateway/pacfiles/{pacfile_id}
ModelsExpand Collapse
PacfileListResponse { id, created_at, description, 4 more }
id?: string
created_at?: string
formatdate-time
description?: string

Detailed description of the PAC file.

name?: string

Name of the PAC file.

slug?: string

URL-friendly version of the PAC file name.

updated_at?: string
formatdate-time
url?: string

Unique URL to download the PAC file.

PacfileGetResponse { id, contents, created_at, 5 more }
id?: string
contents?: string

Actual contents of the PAC file

created_at?: string
formatdate-time
description?: string

Detailed description of the PAC file.

name?: string

Name of the PAC file.

slug?: string

URL-friendly version of the PAC file name.

updated_at?: string
formatdate-time
url?: string

Unique URL to download the PAC file.

PacfileCreateResponse { id, contents, created_at, 5 more }
id?: string
contents?: string

Actual contents of the PAC file

created_at?: string
formatdate-time
description?: string

Detailed description of the PAC file.

name?: string

Name of the PAC file.

slug?: string

URL-friendly version of the PAC file name.

updated_at?: string
formatdate-time
url?: string

Unique URL to download the PAC file.

PacfileUpdateResponse { id, contents, created_at, 5 more }
id?: string
contents?: string

Actual contents of the PAC file

created_at?: string
formatdate-time
description?: string

Detailed description of the PAC file.

name?: string

Name of the PAC file.

slug?: string

URL-friendly version of the PAC file name.

updated_at?: string
formatdate-time
url?: string

Unique URL to download the PAC file.

PacfileDeleteResponse = unknown